
                    proj1_15.zip  -  QUAKE Project1 v1.5


Okay. It's my QUAKE Project1 v1.5

                    Several QuakeC patches in one.
            Only for Deathmatch! All code completely rewritten. 

=============================================================================

 What we have now?

 v0.1
     All powerups (except biosuit) can be switched ON/OFF by "impulse 133" 
     console command (don't forget to bind it to your favorite key).
     When a powerup is switched OFF - it's still with us until we die, and
     we can switch it ON at any time.
     When we get "QUAD damage" but hold it OFF - AXE has quad power, too.
     Backpacks can now explode - explosion size/damage depends on number
     of rockets in.
     YOUR backpack can now explode - in case you have rockets in it -
     with 2% probability. Explosion size/damage depends on number of rockets 
     in your backpack.

 v0.2
     Probability of YOUR backpack exploding depends now on attacker's weapon.
     (from 1.5% with SuperNailGun or Lightning to 5% with SuperShotGun).
     When Quad damage is turned OFF there's no Quad sound.
     ShotGun's powered up.
     SuperShotGun's powered up but reload time had increased (DOOM style).
     Added reload SOUND (temporarily it's ammo touch sound).
     Now we can see more blood.

 v0.3
     Added several new sounds and new sound events.
     Added SuperShotGun reload sound from DOOM II (C) IdSoftware.

 v0.4
     Added Multiskin v1.1
     Fixed SuperShotGun "overflow" bug.
     Fixed SuperShotGun "sound" bug.
     SuperShotGun now can't gib a player.
     Pretuned several internal constants.
     Changed missile model (slowed down, damage range changed from 100-120%
     to 90-150%).
     Rockets, grenades, nails now can pass trhough teleports (not always).
 
 v0.5
     "Rocket vector after teleport" bug fixed.
     You wanted "gibbing" player body's"? I did it. 
     Another "bloodiest" effect added... Sure, you will notice it :). 
     Added "deathmatch 3" by Avatar (with minor changes). 
     What it is:
--------------------------------------------------------------------------
        Deathmatch3 includes the following changes:

        Weapons act like they do in deathmatch 2, each player can pick them
        up one time per life.
        Health and ammo respawning after random period of time 20-40 gametics. 
        Armor and MegaHealth spawns after 20-50 gametics.
        Quad damage and biosuit spawns at 10-110 gametics, and the other 
        power ups in 10-510 gametics.

        To use deathmatch3 in the game, the server must type deathmatch 3
        at the console (or +deathmatch 3 at startup) and then start a new
        level.

        Thanks to -*Avatar*-
--------------------------------------------------------------------------
  
     "teamplay 69" added. What it is:
        Player can damage/kill his teammate and loose one frag in
        this case. No stupid "no friends damage" now. 
     Several new "teamplay 69" messages added.
     To use "teamplay 69" in the game, the server must type "teamplay 69"
     at the console (or +teamplay 69 at startup) and then start a new
     level.
 
 v0.6
     "Quad damage finished" bug fixed.
     "Blew up message" bug fixed.
     Blood level decreased.
     Added TradeBackPack function:
      You can drop backpack with ammo by pressing only one key (impulse 134).
      If your current weapon is AXE - you'll drop half of ammo of all kinds.
      If your current weapon SHOTGUN - you'll drop half of your rockets.
      In all other cases - you'll drop your current weapon and half of
      ammo for it.
     Added several new sounds and sound events:
      Step sound - depending on player velocity.
      Wall touch sound. 
      Sound of breath - it's probability depends on player health.

 v0.7
     Now all backpacks can explode.
     Floor impact can detonate a backpack. 
     Removed "rocket owner's half damage".
     Now you can switch message mode ON/OFF by "impulse 135". Default 
     mode is OFF - you're not receiving messages on armor/ammo/weapon you 
     pick up.
     Removed MultiSkin messages on respawn (boring).
     Added "deathmatch 69" - my original idea. 
     What it is:
--------------------------------------------------------------------------
        Deathmatch69 includes the following changes:

        Weapons act like they do in deathmatch 2, each player can pick them
        up one time per life, but you CAN pick up ammo from a respawned weapon,
        and the next person will pick it with 0 ammo. When a weapon (not ammo)
        was picked up it will respawn after 30 sec with default ammo load.
        Health and ammo respawn after a random period of time of 20-40 gametics. 
        Armor and MegaHealth respawns after 20-50 gametics.
        Quad damage and biosuit respawns in 10-110 gametics, and other 
        powerups -- in 10-510 gametics.

        To use deathmatch69 in a game, the server must type deathmatch 69
        at the console (or +deathmatch 69 at startup) and then start a new
        level.

--------------------------------------------------------------------------
                 Main BugFix!
     "Backpack dropped into the wall" bug fixed.
     Temporary removed Gibbing Bodies - to avoid server crashing.
     Changed "explode backpack" code - to avoid "can't respawn" bug.  
     "Delay on powerup switching" bug removed.

 v0.8
     Added "Throwing Axes" by Steve Wedge with minor changes (impulse 1 - 
     same as simply AXE).
     Added Throwing Axes Light with Quad damage (cool effect).
     Added "avoid telefrag on spawning" by Johannes Plass.
     Added spikes/nails ricochet.
     Changed "your backpack explode" algorithm. Now shoots in your back
      have more probability of explosion than if enemies stay face to face.
     Added Quake v1.05beta quakeC patch by IdSoftware (with minor changes).
     Teamplay 69 renamed to Teamplay 2.

 v0.9
     Removed weapon autoswitching on pick up.
     Now in deathmatch modes you can drop backpack only with rockets (in
      teamplay you can drop any weapon with any ammo).
     Added BFG code by W.Harris with minor changes. When you have grenade 
      launcher and lightning gun at the same time - BFG enabled. 
      20 cells per shoot. "Impulse 9" to chooses BFG.
     CheatCommand (was "impulse 9") moved to "impulse 13".
     Several internal constants have been pretuned.
     "Bleeding bodies" option when you trample them is back again.
     Added "Dead body's MultiSkin".
     "Can't respawn after discharging to water" bug fixed - it was in 
      Id source code.
     In "deathmatch 69" now when you pick up ammo from a weapon - you
      drop this weapon to the floor if you already have it.     
     "SemiPause" by "impulse 211 "is added. When game is "semipaused", players
      can't move and fire, but can change skins, names and do other stuff.
     Now if a player was killed under water - his body swims up and leaves 
      a bloody trace. Nice :).
     You're playing on your favorite deathmatch level and you want to improve
      this level's conditions? But you don't want to research
      heaps of Quake level editors, bsp compilers, brush makers, converters, 
      etc... YOU CAN DO IT NOW with Quake Project1! 
      "Game Administrator" added. What it does:
-------------------------------------------------------------------------
      By pressing "impulse 212" a player can became a Game Administrator.
      Now he can choose any weapon/ammo/item by impulses 200,201 (same
      as for MultiSkin) and place them anywhere on the level by pressing
      impulse 134 (same as TradeBackpack). When editing is finished just
      press impulse 212 again and you'll became a regular "player" again.
      During the game only one player can became a Game Administrator
      only once and if he has 0 frags.
-------------------------------------------------------------------------

 v0.91
      "Observer mode 1.19" added - press "impulse 210 ".
      "Server News" added - press "impulse 215 ".
      Now you don't see SuperShotGun during reload - very helpfull.
      Added alternative score/rating counter. Call console when level
       finished to see your rating.
      SuperShotGun & ShotGun have the same "impulse 3 ".
      "Impulse 2" to chooses BFG.
      "Impulse 9" now obsolted.
      Removed autoswitching on ammo depleting.
      "Not enough ammo" sound added.
      "Connect during Semipause" bug fixed.
      "Loosing skin" bug fixed.
      "Unlimited Ring Of Shadows" bug fixed.
      "Was_Admin" name fixed.
      "No BFG in dropped BackPack" bug fixed.
      "Dead body flying out of level" bug fixed.
      Wrote a manual. Sorry - only on russian. On english will be later.

 v0.92
      "CanDamage" function algorithm changed.
      QuakeC sources v1.06 chages added .
      v_bfg.mdl by Pavel Grodek added.
      Completly rewritten ChangeWeapon function. Several impulses was 
       changed again (Sorry!):
	      "impilse 1 " - AXE/THROWING_AXE
	      "impulse 2 " - Lightning Gun
	      "impulse 3 " - SSG/SG
	      "impulse 4 " - SNG/NG
	      "impulse 5 " - Rocket Launcher
	      "impulse 6 " - Grenade Launcher
	      "impulse 7 " - BFG
      Game Administrator now can shoot - for doors/triggers opening.
      Several parametrs of Administration and Observer modes changed.
      Observer now have 3 modes: WALK, FLY (best) and NOCLIP.
      When administartion ended, player who was an Admin rejoining the game. 
      "Step sound in water" added.
      Adedd several water effects. Not tested yet but I hope it will be cool.
      shell.mdl ("Eject") added.
      New player Gibbing model added.
      BFG damage calculation algorithm completely rewritten.
      Now when you running out of any ammo - AXE switching ON automatically.
      Now you can see several deathmatch messages, that was added in v0.5,
       but didn't work. Fixed.     :)

 v0.93
      Dragon SCRIPT added!
--------------------------------------------------------------------------
      Now you can record all changes what you did in Administration mode.
      Run "quake.exe -game PROJECT1 -condebug "
      Start a game.
      Enter to Admin mode (impulse 212).
      Start a record (impulse 214).
      Do any changes.
      Finish a record  (impulse 214).
      Leave Admin mode (impulse 212).
      Quit from Quake. (Do not try to play with "condebug" key - it very
       slowing a game.)
      Edit "/PROJECT1/qconsole.log" file - copy all strings between 
       "SCRIPT start" and "SCRIPT end" to "/ID1/script.rc"
      Bind any free key for playback SCRIPT. For example on F3 key:
        bind F3 "exec script.rc "
      Run "quake.exe -game PROJECT1"
      Start a game on the same level.
      Enter to Admin mode (impulse 212).
      Run SCRIPT - "F3" key.
      Leave Admin mode (impulse 212).
      Enjoy the game.
-------------------------------------------------------------------------
      Improved BFG power.
      Rocket's damaged powered up.
      Again changed weapon impulses! Returned original layout and just
      added my custom
      Original:                          Custom
    --------------------------         -------------------------------
      impulse 1    AXE/T_AXE             impulse 101   Lightning
      impulse 2    SG                    impulse 102   BFG
      impulse 3    SSG                   impulse 103   SSG/SG  
      impulse 4    NG                    impulse 104   SNG/NG
      impulse 5    SNG                   impulse 105   RL/GL
      impulse 6    GL                    impulse 106   AXE/T_AXE
      impulse 7    RL                    
      impulse 8    Lightning              
      impulse 9    BFG
    ------------------------------------------------------------------
      Command switch "temp1" added. Now you can switch ON/OFF several
       Project1 functions:
      temp1 & 2  - default Quake weapon autoswitching is ON
      temp1 & 4  - "Not enough ammo"                  is OFF
      temp1 & 8  - Step sound                         is OFF
      temp1 & 16 - Administration functions         DISABLED      
      For example if you want to switch ON all weapon autoswitching and
       switch off step sound temp1 = 2 + 4 + 8. Run  
       quake.exe -game PROJECT1 +temp1 14
       or type "temp1 14" at console and restart the game.
      If you want switch off step sound and "Not enough ammo" event -
       temp1 = 4 + 8 = 12. Etc.

 v0.99
      "Ammo overloading" bug fixed.
      "Loosing MEGA_health when Semipaused" bug fixed.
      "Bubbles flying in air" removed (it was IdSoftware bug).
      Rocket Launcher little powered up.
      BFG power decreased.
      Added "bloodiest" effect with AXE/THROWING_AXE. Try to fight with
       AXE - you'll see it.         
 
 v1.0
     It's a release.
     Lot's of bug's fixed.
     Observer now can walk around when administration running.
     All weapons finally pretuned. SuperNailGun powerd up.
     Several effects with Throwing Axes added. Try to put axe into the floor
      and walk across it.
     Every skin now has his own impulse - 220-238.
     Personal BODYCOUNTER added.
     All monsters exept Ogre, Fiend and Soldier removed. Reason? To free
      memory and for proper work of qcc compiler (to many variables).

 v1.1
     Added "temp1 32" - for disabling all external models/sounds. You can
     run now Project1 server in internet and all users with standart Quake
     can connect with it.
     Added new cool effect with dead bodyes. Try to look it... 

 v1.2
     Sound of step algorithm changed.
     Grappled Hook v2.3 by Perecli Manole aka Bort added (with minor chages). 
      (impulse 98, impulse 97)

 v1.3
     Dropping Grappling Hook model changed.
     Now Grappling Hook with QuadDamage has 2-times more damage.
     Spikes splash on water surface added (very nice effect).
     Bullets splash on water surface added.
     Nail ammo bug fixed.      
     "temp1 64" value added. When temp1=64 all flame models DISABLED 
      for improving game performance (great!).
     Bfg model little changed (thanks to CptPower!)
     Little bug with backpacks fixed.
     "Dead body flying out of level" bug fixed! (No finally but on 99% :) 
     Skins for head's after gibbing added (MultiSkin Pro).
     Number of skins decreased to 14 (leaved only best). Impulse 220-234
     for direct set. Added 2 new skins.

 v1.4
     Never released. Were added Sniper Rifle, Navigation Helmet one new skin 
     and several other features. Tons of bugs.

 v1.5
     Added status bar, lots of bugs fixed.
     Final Release.

 v1.6
     Bug with ASB fixed.
     Backpack exploding little changed.
     I was very confused when I found that NG don't have 10 times more 
      probabylity of backpack explosion... :((( Fixed.
     Probability of your backpack explosion after front hits decreased.
     Also probability of your backpack explosion now depends from number 
      of rockets carrying in backpack.
     Changed algorythms for SNG. It's now "DOOM style". Please test it.
     Several parts of code rewritten.
     SNG "spread" increased.
     QuakeWorld version.

   
=========================================================================


 How to install it?
     Copy zip file to your Quake directory. Unzip with key "-d".
     Delete zip file and run "quake.exe -game project1".

 Files included in the package:
 \PROJECT1\progs.dat
 \PROJECT1\PROGS\player.mdl             - multiskin
 \PROJECT1\PROGS\h_player.mdl           - multiskin
 \PROJECT1\PROGS\throwaxe.mdl           - Axe model
 \PROJECT1\PROGS\v_bfg.mdl              - player's BFG model
 \PROJECT1\PROGS\g_bfg.mdl              - item BFG model
 \PROJECT1\PROGS\v_sniper.mdl           - player's Sniper Rifle model
 \PROJECT1\PROGS\g_sniper.mdl           - item Sniper Rifle model
 \PROJECT1\PROGS\shells.mdl             - shells model
 \PROJECT1\PROGS\bit.mdl                - Grappling Hook model
 \PROJECT1\PROGS\star.mdl               - Grappling Hook model
 \PROJECT1\PROGS\helmet.mdl             - Navigation Helmet model
 \PROJECT1\PROGS\target.spr             - Laser target for Sniper Rifle
					  and Navigation Helmet
 \PROJECT1\SOUND\PROJECT1\billy.wav     - attacker sound
 \PROJECT1\SOUND\PROJECT1\deathhi.wav   - death
 \PROJECT1\SOUND\PROJECT1\haha.wav      - powerups ON/OFF
 \PROJECT1\SOUND\PROJECT1\pain.wav      - pain
 \PROJECT1\SOUND\PROJECT1\reload.wav    - SuperShotGun reload
 \PROJECT1\SOUND\PROJECT1\wallt.wav     - wall touch
 \PROJECT1\SOUND\PROJECT1\step.wav      - step
 \PROJECT1\SOUND\PROJECT1\psoul.wav     - breath
 \PROJECT1\SOUND\PROJECT1\bounce1.wav   - backpack bounce
 \PROJECT1\SOUND\PROJECT1\taxhit1.wav   - Throwing Axe hit
 \PROJECT1\SOUND\PROJECT1\taxhit2.wav   - Throwing Axe hit
 \PROJECT1\SOUND\PROJECT1\taxhit3.wav   - Throwing Axe hit
 \PROJECT1\SOUND\PROJECT1\woosh.wav     - Throwing Axe fly
 \PROJECT1\SOUND\PROJECT1\bfg.wav       - Firing BFG
 \PROJECT1\SOUND\PROJECT1\bfgexpl.wav   - BFG exploding
 \PROJECT1\SOUND\PROJECT1\weapnup.wav   - BFG pick up
 \PROJECT1\SOUND\PROJECT1\noammo.wav    - not enough ammo
 \PROJECT1\SOUND\PROJECT1\shellhit.wav  - droped shells
 \PROJECT1\SOUND\PROJECT1\sniper.wav    - Sniper Rifle firing
 \PROJECT1\SOUND\PROJECT1\sniprld2.wav  - Sniper Rifle reloading
 \PROJECT1\SOUND\PROJECT1\wagner.wav    - Navigation Helmet pick up

 All wav files - test/temporary versions. If you have any cool wavs for 
 this events - please mail me.


============================================================================
 You can run your own Quake Project1 server in internet with command line
 switch "+temp1 32" (or type "temp1 32" in console) - all external 
 models and sounds will disabled.
 If You run your own Quake server with Project1 patch is connected to
 Internet - please include to your hostname something as "Project1_v1.5". 
 For example:
 quake -dedicated 16 -game PROJECT1 +hostname Texas_Project1_v1.5 +map start

============================================================================
 If you need PROJECT1 for QuakeWorld - mail me.
============================================================================  
 Future plans:
  Who know?

--------------
 Got some interesting ideas? Mail me -  peter@softjoys.ru.

 Additional credit's:

  Steven Polge                       - for his great Reaper Bots

  Pavel Grodek                       - for BFG models, playtesting and
				       english docs.
  Kevin Bowen                        - for blood idea and code.
  AsmodeusB                          - for "corpse" code examples.
  -*Avatar*-                         - for deathmatch3 example.  
  foobar                             - for explosion backpack idea.
  Dennis Noordsij                    - for MultiSkin v 1.1 code. 
  Steve Wedge                        - for "Throwing Axes" code.
  William F.Harris                   - for BFG code from DMplus. 
  Perecli Manole (Bort)              - for Grappling Hook v2.3 code/models.
  Val Komissarov                     - for help with English.
  Vladimir Gordeev (CptPower)        - for models and playtesting.
  Janis Jagars (Disastry)            - for help with Dragon Scripts. 
  Kirill Nikolaev (T0k)		     - for support.
  Mike Lonch (B0SS)                  - for playtesting.
  Wadim Nuzniy (NeedMan)             - for playtesting.
  Grigory Chygynov (GR)              - for playtesting.
  Oleg Dejkin (OD)                   - for playtesting.
  Denis Lisenko (Nark)               - for playtesting.
  Serg Kharchenkov (OverLord)        - for playtesting.
  Boys on IRC#quake                  - for consulting. 
  IdSoftware                         - for this great game. 


  Where can you find last version of Project1?
  ftp://ftp.cdrom.com/pub/idgames2/quakec/compilations/proj1_??.zip

  Sorry for my english.

                        Sincerely yours Peter (Dragon__#quake)

 P.S. From Russia with love.
